[Launch]
ProgramExecutable=ExamDiff32\ExamDiff.exe
ProgramExecutable64=ExamDiff64\ExamDiff.exe
SinglePortableAppInstance=true
SingleAppInstance=true
WorkingFolder=%FullAppDir%
RunAsAdmin=compile-force 
WaitForExe1=ExamDiff.com
RefreshShellIcons=both
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]    
Registry=true 

[RegistryKeys]
-=HKCU\Software\PrestoSoft\ExamDiff Pro
-=HKLM\SOFTWARE\Classes\.edpi
-=HKCU\Software\Classes\EDPShell.EDPShellExtObj.2

[RegistryCleanupIfEmpty]
1=HKCU\Software\PrestoSoft

[FilesMove]
password.bin=%FullAppDir%
AppSettings.edps=%FullAppDir%

[DirectoriesMove]
ExamDiff="%LocalAppData%\PrestoSoft\ExamDiff Pro"

[DirectoriesCleanupIfEmpty]
1="%LocalAppData%\PrestoSoft"

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\AppSettings.edps
Find="Check for updates"=dword:00000001
Replace="Check for updates"=dword:00000000

[FileWrite2]
Type=ConfigWrite
File=%PAL:DataDir%\AppSettings.edps
Entry='"Last Run Build"="'
Value=16.0.1.13"
